package com.bohuikeji.frame.module.admin.mp;

/**
 * 自定义的SQL方法
 * @author 孙劲辉
 */
public enum SqlMethod {

    /**
     *  查询方法
     */
    SELECT_COLUMNS_ID("selectColumnById", "使用SQL查询一条数据的指定列\n", "<script>\nSELECT ${column} from %s WHERE %s=#{id} \n</script>");

    private final String method;
    private final String desc;
    private final String sql;

    SqlMethod(String method, String desc, String sql) {
        this.method = method;
        this.desc = desc;
        this.sql = sql;
    }

    public String getMethod() {
        return method;
    }

    public String getDesc() {
        return desc;
    }

    public String getSql() {
        return sql;
    }

}
